token = $api.getStorage("token");
//aui-toast.js
(function( window, undefined ) {
    "use strict";
    var auiToast = function() {
        // this.create();
    };
    var isShow = false;
    auiToast.prototype = {
        create: function(params,callback) {
            var self = this;
            var toastHtml = '';
            switch (params.type) {
                case "success":
                    var iconHtml = '<i class="aui-iconfont aui-icon-correct"></i>';
                    break;
                case "fail":
                    var iconHtml = '<i class="aui-iconfont aui-icon-close"></i>';
                    break;
                case "custom":
                    var iconHtml = params.html;
                    break;
                case "loading":
                    var iconHtml = '<div class="aui-toast-loading"></div>';
                    break;
            }

            var titleHtml = params.title ? '<div class="aui-toast-content">'+params.title+'</div>' : '';
            toastHtml = '<div class="aui-toast">'+iconHtml+titleHtml+'</div>';
            if(document.querySelector(".aui-toast"))return;
            document.body.insertAdjacentHTML('beforeend', toastHtml);
            var duration = params.duration ? params.duration : "2000";
            self.show();
            if(params.type == 'loading'){
                if(callback){
                    callback({
                        status: "success"
                    });
                };
            }else{
                setTimeout(function(){
                    self.hide();
                }, duration)
            }
        },
        show: function(){
            var self = this;
            document.querySelector(".aui-toast").style.display = "block";
            document.querySelector(".aui-toast").style.marginTop =  "-"+Math.round(document.querySelector(".aui-toast").offsetHeight/2)+"px";
            if(document.querySelector(".aui-toast"))return;
        },
        hide: function(){
            var self = this;
            if(document.querySelector(".aui-toast")){
                document.querySelector(".aui-toast").parentNode.removeChild(document.querySelector(".aui-toast"));
            }
        },
        remove: function(){
            if(document.querySelector(".aui-dialog"))document.querySelector(".aui-dialog").parentNode.removeChild(document.querySelector(".aui-dialog"));
            if(document.querySelector(".aui-mask")){
                document.querySelector(".aui-mask").classList.remove("aui-mask-out");
            }
            return true;
        },
        success: function(params,callback){
            var self = this;
            params.type = "success";
            return self.create(params,callback);
        },
        fail: function(params,callback){
            var self = this;
            params.type = "fail";
            return self.create(params,callback);
        },
        custom:function(params,callback){
            var self = this;
            params.type = "custom";
            return self.create(params,callback);
        },
        loading:function(params,callback){
            var self = this;
            params.type = "loading";
            return self.create(params,callback);
        }
    };
    window.auiToast = auiToast;
})(window);

var toast = new auiToast();
var serverurl = {
//	yuxinbaseurl:'http://173831e77l.imwork.net:20511',
	smkUrl:'http://120.27.219.78',
//	smkUrl:'http://permanent.51vip.biz',
//	yuxinbaseurl:'http://192.168.1.104:10000',
	//shangchaobaseurl:'http://192.168.1.103:8180/smart_shop',
	smkbase:'/lzwportal/'
}
var widgetId = 'A6943594733243';
var smkurl = serverurl.smkUrl+serverurl.smkbase;
var meiqiakey = '9515339cf9f31c4a5d86f936b6db372a';

$(function(){
	errorFuc();
	$('.closewinbtn').on('click',function(){
		closeWin();
	});
	$('.back').on('click',function(){
		closeWin();
	});
	$("#aui-header .aui-kefu ").parent().on("click",function(){
		loginback(func)
	});
	/*判断是否有QQ*/
	$('.message').on('click',function(){
		kefu(1);
	})
	$('.detail-kefu,.custom').on('click',function(){
		var qq = api.require('qq');
		qq.installed(function(ret, err) {
			if (ret.status) {
			}else{
				api.toast({
					msg : '您没有安装官方qq客户端'
				});
			}
		});
	})
})

//判断是否登录过
function loginFunc(){
	var loginState = false;
	var userId = $api.getStorage("userId");
	if(userId == '' || userId == undefined) {
		api.openWin({
            name: 'login',
            url: '../login/login-win.html',
            animation : {
				type : "fade"
			},
			slidBackEnabled:false,
			reload:true,
			pageParam : {"flag": Math.random(),'winName':api.winName,'data':api.pageParam}
        });	
    }else{
    	loginState = true;
    }
    return loginState;
}

function func(){
	api.openWin({
        name: 'yuanquguanjia',
        url: '../yuanquguanjia/yuanquguanjia-win.html'
    });
}
//关闭 当前窗口
function closeWin() {
	api.closeWin();
}

/** 解析当前url **/
function parseUrl(myurl, data) {
	var myurl = myurl;
	var data = data;
	myurl = myurl + "?" + parseParam(data);
	return myurl;
}

function parseParam(param, key) {
	var paramStr = "";
	if ( param instanceof String || param instanceof Number || param instanceof Boolean) {
		paramStr += "&" + key + "=" + encodeURIComponent(param);
	} else {
		$.each(param, function(i) {
			var k = key == null ? i : key + ( param instanceof Array ? "[" + i + "]" : "." + i);
			paramStr += '&' + parseParam(this, k);
		});
	}
	return paramStr.substr(1);
};



/** 空的话返回true**/
function isEmpty(data){
	return (data==null || data.length==0);
}

//null的话返回暂无信息
function nullNum(data){
	var word;
	if(data == null || data.length == 0){
		word = '0';
	}else{
		word = data;
	}
	return word;
}

function nullName(data){
	var word;
	if(data == null || data.length == 0){
		word = '暂无信息';
	}else{
		word = data;
	}
	return word;
}

function NewGuid() {
	function S4() {
		return (((1 + Math.random()) * 0x10000) | 0).toString(16).substring(1);
	}

	return (S4() + S4() + "-" + S4() + "-" + S4() + "-" + S4() + "-" + S4() + S4() + S4());
}

function getNowFormatDate() {
	var date = new Date();
	var seperator1 = "-";
	var year = date.getFullYear();
	var month = date.getMonth() + 1;
	var strDate = date.getDate();
	if (month >= 1 && month <= 9) {
		month = "0" + month;
	}
	if (strDate >= 0 && strDate <= 9) {
		strDate = "0" + strDate;
	}
	var currentdate = year + seperator1 + month + seperator1 + strDate
	return currentdate;
}

// 获取文件拓展名
function getExt(fileName) {
	return fileName.substring(fileName.lastIndexOf('.') + 1);
}

// 图片压缩
// imgsrc：源图片的路径
// quality：图片压缩质量，一般建议0.5
// scale：图片压缩比例，也是建议0.5
// ext：源图片拓展名
// callback：转换成功之后回调函数
function imgCompress(imgsrc, quality, scale, ext, callback) {
	// 压缩文件的保存目录
	var savePath = api.cacheDir + "/" + getNowFormatDate() + "/";
	// 压缩文件生成的随机文件名称
	var savename = NewGuid() + "." + ext;
	imageFilter.compress({
		img : imgsrc,
		quality : quality,
		scale : quality,
		save : {
			album : false,
			imgPath : savePath,
			imgName : savename
		}
	}, function(ret, err) {
		if (ret) {
			callback(savePath + savename);
		} else {
			alert(JSON.stringify(err));
		}
	});
}

// 打开图片浏览
// imgs：需要预览的图片集合
function openImageBrowser(imgs) {
	imageBrowser.openImages({
		imageUrls : imgs,
		showList : false,
		activeIndex : 0
	});
}

// 添加长按方法
function addPress(obj, index) {
	// 获取目前长按的对象
	// 绑定长按对象
	var hammertime = $(obj).hammer();
	hammertime.on("press", function(e) {
		api.confirm({
			title : '温馨提示',
			msg : '您确定要删除该图片吗？',
			buttons : ['确定', '取消']
		}, function(ret, err) {
			if (ret.buttonIndex == 1) {
				// 移除自己
				$(obj).remove();
				api.toast({
					msg : '删除成功！'
				});
			}
		});
	});
}

// 上传图片
// url：上传的url地址
// data：上传的文件
// callback：上传成功返回地址
function uploadFile(url, data, callback) {
	api.ajax({
		url : url+'&token='+$api.getStorage("token"),
		method : 'post',
		timeout : 30,
		dataType : 'json',
		returnAll : false,
		data : {
			files : {
				"pic" : data
			}
			
		}
	}, function(ret, err) {
		if (ret) {
			if (ret.success) {
				callback(ret.obj);
			} else{
				alert("上传失败");
			}
		} else {
			api.alert({
				msg : ('错误码：' + err.code + '；错误信息：' + err.msg + '；网络状态码：' + err.statusCode)
			});
		}
	});
}
/** 上传多张图片的 初始化方法 **/
function photoinit(imagelist,addli,url,func){
	var systemVersion = api.systemVersion; 
	var version = systemVersion.substr(0,1);
	// 获取图片宽高
	var normalW = $(addli).find('img').width();
	// 为图片添加点击预览功能,排除添加按钮
	// 添加图片绑定点击事件
	$(imagelist).find(addli).on("click", function() {	
		addImgClick(this);
//		if(isIOS) {
//			addImgClick(this);
//		} else {
//			api.accessNative({
//				name: 'DOUBLE',
//				type: 'pingjia'
//			});
//			api.addEventListener({
//				name:'pingjia'
//			}, function(ret){
//				var result = ret.value.value;
//				if(result == "1"){
//				    addImgClick(this);
//				}else{
//				    api.toast({
//                      msg:'未获得权限',
//                      location:'middle'
//                  });
//				}
//			});
//		}
	});
	function addImgClick(self){
		var data_index = $(self).attr('data_index');
		var  _self = self;
		api.actionSheet({
			title : '选择图片来源',
			buttons : ['自拍', '浏览相册']
		}, function(ret, err) {
			var index = ret.buttonIndex;
			switch(index) {
				// 拍照
				case 1:
					// 打开拍照
					api.getPicture({
						sourceType : "camera",
						encodingType : "jpg",
						destinationType : "url",
						mediaValue : "pic",
						quality : 50,
						saveToPhotoAlbum : true,
						allowEdit: true
					}, function(ret, err) {
						if (ret && ret.data) {
							// 拍照返回的本地路径
							var returnUrl = ret.data;
							if(isIOS){
								imgCompress(returnUrl, 0.5, 0.5, getExt(returnUrl), function(compressImg) {
									var showImgHtml = '<li class="aui-list-view-cell aui-img aui-col-xs-3 upload-img"><img class="aui-img-object aui-img-objectorg" src="' + compressImg + '"><i class="cha"></i></li>';
									// 追加图片
									$(_self).before(showImgHtml);
									var auiImgWidth = $('.aui-img-objectorg').css('width');
									$('.aui-img-objectorg').css('height', auiImgWidth);
									uploadFile(url, compressImg, function(serverImg) {
										func(serverImg,data_index);;
									});
								});
							}else{
								imgCompress(returnUrl, 0.5, 0.5, getExt(returnUrl), function(compressImg) {
									var showImgHtml = '<li class="aui-list-view-cell aui-img aui-col-xs-3 upload-img"><img class="aui-img-object aui-img-objectorg" src="' + compressImg + '"><i class="cha"></i></li>';
									// 追加图片
									$(_self).before(showImgHtml);
									var auiImgWidth = $('.aui-img-objectorg').css('width');
									$('.aui-img-objectorg').css('height', auiImgWidth);
									uploadFile(url, compressImg, function(serverImg) {
										func(serverImg,data_index);
									});
								});
							}
						} else {
							api.toast({
								msg : '取消选择'
							});
						}
					});
					break;
				// 打开图片选择器
				case 2:
					uiMediaScanner.open({
						type : 'picture',
						column : 4,
						classify : true,
						max : 6,
						sort : {
							key : 'time',
							order : 'desc'
						},
						texts : {
							stateText : '已选*项',
							cancelText : '取消',
							finishText : '完成'
						},
						styles : {
							bg : '#fff',
							mark : {
								icon : '',
								position : 'bottom_left',
								size : 20
							},
							nav : {
								bg : '#b23e4b',
								stateColor : '#fff',
								stateSize : 18,
								cancelBg : 'rgba(0,0,0,0)',
								cancelColor : '#fff',
								cancelSize : 18,
								finishBg : 'rgba(0,0,0,0)',
								finishColor : '#fff',
								finishSize : 18
							}
						}
					}, function(ret) {
						if (ret) {
							if(isIOS){								
								for (var i = 0; i < ret.list.length; i++) {
									var selectImg = ret.list[i];
									// 获取图片的路径
									var selectimgPath = selectImg.path;
									var selectimgThumbPath = selectImg.thumbPath;
									// IOS需要将虚拟路径转换为本地路径才可以压缩
										// 转换为真实路径
									uiMediaScanner.transPath({
										path : selectimgPath
									}, function(transObj) {
							    		// 图片压缩
										imgCompress(transObj.path, 0.5, 0.5, selectImg.suffix, function(compressImg) {
											$(_self).before('<li class="aui-list-view-cell aui-img aui-col-xs-3 upload-img"><img class="aui-img-object aui-img-objectorg" src="' + compressImg + '"><i class="cha"></i></li>');
											var auiImgWidth = $('.aui-img-objectorg').css('width');
											$('.aui-img-objectorg').css('height', auiImgWidth);	
											uploadFile(url, compressImg, function(serverImg) {
												func(serverImg,data_index);;
											});
										});
									});
								}	
							}else{
								if(version <=5){
									manyPic(ret.list, 0, _self, imagelist, normalW, url);
								}else{
									if(ret.list && ret.list !=''){
										for (var i = 0; i < ret.list.length; i++) {
											var selectImg = ret.list[i];
											// 获取图片的路径
											var selectimgPath = selectImg.path;
											var selectimgThumbPath = selectImg.thumbPath;
											// IOS需要将虚拟路径转换为本地路径才可以压缩
											// 转换为真实路径
								    		// 图片压缩
											imgCompress(selectimgPath, 0.5, 0.5, selectImg.suffix, function(compressImg) {
												$(_self).before('<li class="aui-list-view-cell aui-img aui-col-xs-3 upload-img"><img class="aui-img-object aui-img-objectorg" src="' + compressImg + '"><i class="cha"></i></li>');
												var auiImgWidth = $('.aui-img-objectorg').css('width');
												$('.aui-img-objectorg').css('height', auiImgWidth);	
												uploadFile(url, compressImg, function(serverImg) {
													func(serverImg,data_index);;
												});
											});
										}	
									}
								}
								
							}

						}
					});
					break;
			}
		});
	}
}
//递归处理多图片
function manyPic(list, index, _self, imagelist, normalW, url){
	var selectImg = list[index];
	var obj = api.require('camera360');							
	var msg = {};
	msg.path = list[index].path;
	msg.savePath = list[index].path;
	 obj.open(msg, function(ret){
		if(ret.eventType == "finish"){
		// 图片压缩
			imgCompress(ret.path, 0.5, 0.5, selectImg.suffix, function(compressImg) {
				// 追加图片
				$(_self).before('<li class="aui-list-view-cell aui-img aui-col-xs-3 upload-img"><img class="aui-img-object aui-img-objectorg" src="' + compressImg + '"><i class="cha"></i></li>');
				var auiImgWidth = $('.aui-img-objectorg').css('width');
					$('.aui-img-objectorg').css('height', auiImgWidth);	
				uploadFile(url, compressImg, function(serverImg) {
					api.toast({
	                    msg:'上传成功',
	                    location:'middle'
	                });
				});
			});
			var index_def = index + 1;
			if(list.length - 1 < index_def){
				return;
			}else{
				manyPic(list, index_def, _self, imagelist, normalW, url);
			}
		}
	})
}

/** 修改头像公共方法 **/
function changePhoto(url,func){
		var systemVersion = api.systemVersion; 
		var version = systemVersion.substr(0,1);				
		var  _self = this;
		api.actionSheet({
			title : '选择图片来源',
			buttons : ['自拍', '浏览相册']
		}, function(ret, err) {
			var index = ret.buttonIndex;
			switch(index) {
				// 拍照
				case 1:
					// 打开拍照
					api.getPicture({
						sourceType : "camera",
						encodingType : "jpg",
						destinationType : "url",
						mediaValue : "pic",
						quality : 50,
						saveToPhotoAlbum : true,
						allowEdit: true
					}, function(ret, err) {
						if (ret && ret.data) {
							// 拍照返回的本地路径
							var returnUrl = ret.data;
							if(isIOS){
								// 图片压缩
								imgCompress(returnUrl, 0.5, 0.5, getExt(returnUrl), function(compressImg) {
									uploadFile(url, compressImg, function(serverImg) {
	//									alert("上传成功后服务器返回的地址：http://linshiren.gotoip3.com/" + serverImg);
										func(serverImg);
									});
								});
							}else{
//								if(version <= 5){
//									var obj = api.require('camera360');
//									var msg = {};
//									msg.path = returnUrl;
//									msg.savePath = returnUrl;
//								    obj.open(msg, function(ret){
//								    	if(ret.eventType == "finish"){
//									    	// 图片压缩
//											imgCompress(returnUrl, 0.5, 0.5, getExt(returnUrl), function(compressImg) {
//												uploadFile(url, compressImg, function(serverImg) {
//				//									alert("上传成功后服务器返回的地址：http://linshiren.gotoip3.com/" + serverImg);
//													func(serverImg);
//												});
//											});
//										}
//								    });
//								}else{
									imgCompress(returnUrl, 0.5, 0.5, getExt(returnUrl), function(compressImg) {
										uploadFile(url, compressImg, function(serverImg) {
		//									alert("上传成功后服务器返回的地址：http://linshiren.gotoip3.com/" + serverImg);
											func(serverImg);
										});
									});
//								}
								
							}
						} else {
							api.toast({
								msg : '取消选择'
							});
						}
					});
					break;
				// 打开图片选择器
				case 2:
						// 打开拍照
					api.getPicture({
						sourceType : "library",
						encodingType : "jpg",
						destinationType : "url",
						mediaValue : "pic",
						quality : 50,
						saveToPhotoAlbum : true,
						allowEdit: true
					}, function(ret, err) {
						if (ret && ret.data) {
							// 拍照返回的本地路径
							var returnUrl = ret.data;
							if(isIOS){
								imgCompress(returnUrl, 0.5, 0.5, getExt(returnUrl), function(compressImg) {
											uploadFile(url, compressImg, function(serverImg) {
												func(serverImg);
											});
										});
							}else{
//								if(version <= 5){
//									var obj = api.require('camera360');
//									var msg = {};
//									msg.path = returnUrl;
//									msg.savePath = returnUrl;
//								    obj.open(msg, function(ret){
//								    	if(ret.eventType == "finish"){
//								    	// 图片压缩
//											imgCompress(returnUrl, 0.5, 0.5, getExt(returnUrl), function(compressImg) {
//												uploadFile(url, compressImg, function(serverImg) {
//													func(serverImg);
//												});
//											});
//										}
//								    });
//								}else{
									imgCompress(returnUrl, 0.5, 0.5, getExt(returnUrl), function(compressImg) {
											uploadFile(url, compressImg, function(serverImg) {
												func(serverImg);
											});
										});
//								}
								
							}
							
							
							
						} else {
							api.toast({
								msg : '取消选择'
							});
						}
					});
					break;
			}
	})
}
/** 让头像总的多选框展示出来 **/
function setPhotoCheck(obj){
	$(obj).parent().parent().find('ol.aui-list-view .aui-form').removeClass('checkwrap');
}
/** 让头像总的多选框展示出来 **/
function resetPhotoCheck(obj){
	$(obj).parent().parent().find('ol.aui-list-view .aui-form').addClass('checkwrap');
}
//加载进度
function showpro(){
	toast.loading({
        title:"加载中",
        duration:2000
    });
}
function showloading(){
	$('.loading-more').css('display','inline-block');
}
function hideloading(){
	$('.loading-more').css('display','none');
}
function apiAlert(msg,callback){
	api.alert({
		title : '报饭商家',
		msg : msg,
		buttons : ['确定']
	}, function(ret, err) {
		if(!!ret && !!callback){
			callback();
		}
	});
}	

function ifSpecialChar(str){
	var pattern = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\].<>/?~！@#¥……&*（）——|{}【】‘；：”“'。，、？]");
	if(pattern.test(str)){
		return true;
	}else{
		return false;
	} 
}

function ifPhoneNum(str){
	var isPhone = /^([0-9]{3,4}-)?[0-9]{7,8}$/;
    var isMob=/^((\+?86)|(\(\+86\)))?(13[012356789][0-9]{8}|15[012356789][0-9]{8}|18[02356789][0-9]{8}|147[0-9]{8}|1349[0-9]{7})$/;
    if(isMob.test(str)|| isPhone.test(str)){
    	return true;
    }else{
    	return false;
    }
}

function ifFloatNum(str){
	  var pattern = /^(([0-9]+\.[0-9]*[1-9][0-9]*)|([0-9]*[1-9][0-9]*\.[0-9]+)|([0-9]*[1-9][0-9]*))$/;
      if(pattern.test(str)){
      	return true;
      }else{
      	return false;
      }
}
function strToDate(str){
	var str =  str.replace(/-/g,"/");
	return new Date(str);
}
function pwdCheck(str){
	  var pattern = /^[\w]{6,16}$/;
	  if(pattern.test(str)){
	  	return true;
	  }else{
	  	return false;
	  }
}
/** 退出app **/
function exitApp(){
    api.addEventListener({
        name: 'keyback'
    }, function(ret, err){
       api.closeWidget({
            id: widgetId, 
            silent:false
        });
    });
}
function reloadFirstPage(){
	var jsfun = 'init();';
	api.execScript({
	    name: 'firstpage',
	    frameName: 'index',
	    script: jsfun
	});
}
function closeWinReload(){
	api.closeWin();
	reloadFirstPage();	
}
Date.prototype.Format = function (fmt) { //author: meizz 
    var o = {
        "M+": this.getMonth() + 1, //月份 
        "d+": this.getDate(), //日 
        "h+": this.getHours(), //小时 
        "m+": this.getMinutes(), //分 
        "s+": this.getSeconds(), //秒 
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度 
        "S": this.getMilliseconds() //毫秒 
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}
function strDateToStr(str){
	var str =　 str;
 	var val = Date.parse(str);
 	var newDate = new Date(val);
 	return newDate.Format("yyyy/MM/dd");
}

function errorFuc(){
   token = $api.getStorage("token");
   $.ajaxSetup({  
    type: "post",  
    beforeSend:function(XMLHttpRequest){
        api.showProgress();
    },
    error: function(jqXHR, textStatus, errorThrown){ 
    	api.hideProgress(); 
        switch (jqXHR.status){  
            case 0:
				api.toast({
			        msg:'网络不通'
		        });
				break;
			case(500):  
				api.toast({
			        msg:'服务器系统内部错误'
		        });
	            break;  
	        case(403):  
	        	api.toast({
			        msg:'无权限执行此操作'
		        });
	            break;  
	        case(404):  
	        	api.toast({
			        msg:'url地址错误'
		        });
	            break;      
	        case(408):  
	        	api.toast({
			        msg:'请求超时'
		        });
	            break;  
	        default:  
	        	api.toast({
			        msg:jqXHR.responseJSON.message
		        });
        }  
    },
     success: function(result){
     	api.hideProgress();
    } 
});  
$.ajaxSetup({  
    type: "get",  
    beforeSend:function(XMLHttpRequest){
        api.showProgress();
    },
    error: function(jqXHR, textStatus, errorThrown){ 
    	api.hideProgress(); 
        switch (jqXHR.status){  
            case 0:
				api.toast({
			        msg:'网络不通'
		        });
				break;
			case(500):  
				api.toast({
			        msg:'服务器系统内部错误'
		        });
	            break;  
	        case(403):  
	        	api.toast({
			        msg:'无权限执行此操作'
		        });
	            break;  
	        case(404):  
	        	api.toast({
			        msg:'url地址错误'
		        });
	            break;      
	        case(408):  
	        	api.toast({
			        msg:'请求超时'
		        });
	            break;  
	        default:  
	        	if(jqXHR.responseJSON.message){
		        	api.toast({
				        msg:jqXHR.responseJSON.message
			        });
	        	}else{
	        		api.toast({
				        msg:'未知错误'
			        });
	        	}
        }  
    },
     success: function(result){
		
       api.hideProgress();
    } 
}); 	
}
function loginback(func){
	var userId = $api.getStorage("userId");
	if(!!userId && userId !=""){
		var loginurl = servercommonurl+"api/user/login";
		var phone = $api.getStorage("phone");
		var password = $api.getStorage("password");	
		var data ={};
		data.phone = phone;
		data.password = password;
		$.ajax({
			url : loginurl,
			method : "get",
			data:data,
			success : function(data, status, header) {
				if(!!data && data.success){
					try{
						func()
					}catch(e){
					}
					
					
				}else{
					api.openWin({
		                name: 'login',
		                url: '../login/login-win.html'
	                });
				}
	
	    	}
	    })	
	}else{
		api.openWin({
            name: 'login',
            url: '../login/login-win.html'
        });
	}
	
}

function jsonreplace(str) {
		if(str != null) {
			str = str.replace(/&lt;/g, "<");
			str = str.replace(/&gt;/g, ">");
			str = str.replace(/&quot;/g, "'");
			str = str.replace(/&amp;lt;/g, "<");
			str = str.replace(/&amp;gt;/g, ">");
			str = str.replace(/&amp;nbsp;/g, " ");
		}
		return str;
	}
	
function isEmojiCharacter(substring) {  
    for ( var i = 0; i < substring.length; i++) {  
        var hs = substring.charCodeAt(i);  
        if (0xd800 <= hs && hs <= 0xdbff) {  
            if (substring.length > 1) {  
                var ls = substring.charCodeAt(i + 1);  
                var uc = ((hs - 0xd800) * 0x400) + (ls - 0xdc00) + 0x10000;  
                if (0x1d000 <= uc && uc <= 0x1f77f) {  
                    return true;  
                }  
            }  
        } else if (substring.length > 1) {  
            var ls = substring.charCodeAt(i + 1);  
            if (ls == 0x20e3) {  
                return true;  
            }  
        } else {  
            if (0x2100 <= hs && hs <= 0x27ff) {  
                return true;  
            } else if (0x2B05 <= hs && hs <= 0x2b07) {  
                return true;  
            } else if (0x2934 <= hs && hs <= 0x2935) {  
                return true;  
            } else if (0x3297 <= hs && hs <= 0x3299) {  
                return true;  
            } else if (hs == 0xa9 || hs == 0xae || hs == 0x303d || hs == 0x3030  
                    || hs == 0x2b55 || hs == 0x2b1c || hs == 0x2b1b  
                    || hs == 0x2b50) {  
                return true;  
            }  
        }  
    }  
} 

function hideFunc(_this){
    $(_this).hide();
}

/* 转换html特殊字符 */
function encodingHtml(string) {
	if (string == null || string == "")
		return "";
	if (string.indexOf("&lt;") != -1) {
		string = string.replace(/&lt;/g, "<");
	}
	if (string.indexOf("&gt;") != -1) {
		string = string.replace(/&gt;/g, ">");
	}
	if (string.indexOf("&amp;") != -1) {
		string = string.replace(/&amp;/g, "&");
	}
	if (string.indexOf("&quot;") != -1) {
		string = string.replace(/&quot;/g, "\"");
	}
	if (string.indexOf("&#039;") != -1) {
		string = string.replace(/&#039;/g, "\'");
	}
	return string;
}

function time(obj){
	if(obj){
		return obj.substring(0,obj.length-2);
	}
}

/*浮点方法*/
function xRound(n){
    return Math.round(n * Math.pow(10, 2)) / Math.pow(10, 2) ;
}

	$('#listNav ul li').click(function () {
//	   $(this).siblings().removeClass('active');
//	   $(this).addClass('active');
	   if($(this).hasClass('down')){
		    api.execScript({frameName: api.winName+'-frame',script: 'downShow()'});
	   }else{
	   		api.execScript({frameName: api.winName+'-frame',script: 'downHide()'});
	   }
   });

var list_width = $('.list-img').width();
$('.list-img').height(list_width);


var recommend_width = $('.recommend-box div').width();
$('.recommend-box div').height(recommend_width);

var rectangle_width = $('.rectangle-list div').width()*2/3;
$('.rectangle-list div').height(rectangle_width);

$('.detail-bottom li').on('click',function(){
	$(this).siblings().removeClass('active');
    $(this).addClass('active');
})


function checkNull(str){
	if(str == parseInt(0))
		return 0;
	if(str == null || str == undefined  || !str){
		return "";
	}else{
		return str;
	}
}














